package com.danilafe.fencelessgrazing.model

/**
 * Information returned from the `/collar/<id>/details` API endpoint.
 *
 * @param id the collar's internal unique identifier.
 * @param name the collar's current designation in the system.
 * @param stimulus the number of stimulus activation reports in the last 24 hours.
 * @param boundary the collar's current valid grazing boundary.
 */
data class CollarDetails(val id: Int, val name: String, val stimulus: Int, val boundary: List<CollarPos>)