package com.danilafe.fencelessgrazing.model

/**
 * Component of the information returned from the `/collars/stats/distance` AP endpoint.
 *
 * @param name the current designation of the collar to which this data point belongs.
 * @param id the unique identifier of the collar in the system.
 * @param distance the distance, in kilometers, traveled by this collar.
 */
data class CollarDistance(val name: String, val id: Int, val distance: Float)