package com.danilafe.fencelessgrazing.ui.activities

import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import androidx.viewpager2.widget.ViewPager2
import com.danilafe.fencelessgrazing.R
import com.danilafe.fencelessgrazing.ui.components.StatisticsGraphAdapter
import com.google.android.material.tabs.TabLayout
import com.google.android.material.tabs.TabLayoutMediator

/**
 * Activity containing various graphs created from collar data on the server.
 */
class StatisticsActivity : AppCompatActivity() {

    /**
     * The tab layout allowing users to switch between graphs.
     */
    private lateinit var tabLayout: TabLayout

    /**
     * The view pager providing swiping functionality between views.
     */
    private lateinit var viewPager: ViewPager2

    companion object {
        /**
         * The list of tab names, in the order they appear in the [viewPager].
         */
        val tabNames = arrayOf("Distance Traveled")
    }

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_statistics)

        tabLayout = findViewById(R.id.statisticsTabs)
        viewPager = findViewById(R.id.statisticsPager)

        viewPager.adapter =
            StatisticsGraphAdapter(
                this
            )
        TabLayoutMediator(tabLayout, viewPager) { tab, position ->
            tab.text = tabNames[position]
        }.attach()
    }
}
