package com.danilafe.fencelessgrazing.ui.components

import com.danilafe.fencelessgrazing.model.CollarSummary

/**
 * Simple interface used for the [CollarSummaryAdapter] to
 * allow items in the collar list to respond to click events.
 */
interface CollarClickListener {

    /**
     * Method called when a collar is clicked in the [CollarSummaryAdapter].
     *
     * @param collar the collar that was clicked.
     */
    fun onCollarClick(collar: CollarSummary?)
}