package com.danilafe.fencelessgrazing.ui.components

import android.graphics.Color
import org.osmdroid.views.MapView
import org.osmdroid.views.overlay.Polygon

/**
 * OpenStreetMaps polygon with some default visual settings for the Fenceless Grazing System.
 */
class GrazingPolygon(map: MapView) : Polygon(map) {
    init {
        fillPaint.color = Color.parseColor("#32a852")
        fillPaint.alpha = 127
        outlinePaint.color = Color.parseColor("#227539")
        outlinePaint.strokeWidth = 0.0f
        title = "Valid Grazing Area"
    }
}